<script setup lang="ts">
import { onMounted } from 'vue'
import { useCustomerStore } from '../stores/customer'
import TableLayout from '@/layout/TableLayout.vue'
import CustomerDialog from '../components/CustomerDialog.vue'

const customerStore = useCustomerStore()

onMounted(async () => {
  await customerStore.getAllCustomer()
})
</script>

<template>
  <CustomerDialog></CustomerDialog>
  <!-- :search="search" -->
  <TableLayout
    title="Customer Management"
    :items="customerStore.customers"
    :headers="customerStore.header"
  >
    <template #topheaders>
      <v-container>
        <v-row>
          <v-col cols="8">
            <v-text-field variant="filled" rounded="lg"></v-text-field>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg">Search</v-btn>
          </v-col>
          <v-col cols="2">
            <v-btn class="w-100" variant="outlined" rounded="lg" @click="customerStore.openDialog()"
              >New</v-btn
            >
          </v-col>
        </v-row>
      </v-container>
    </template>
    <template #item="{ item }">
      {{ item }}
    </template>
  </TableLayout>
</template>

<style scoped></style>
